"use strict";

require("core-js/modules/es.promise.js");

var _react = require("@testing-library/react");

var _react2 = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _SignupForm = _interopRequireDefault(require("./SignupForm"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

it("It should mount", () => {
  const div = document.createElement("div");

  _reactDom.default.render( /*#__PURE__*/_react2.default.createElement(_SignupForm.default, null), div);

  _reactDom.default.unmountComponentAtNode(div);
});
it("Should show email error message on enterring wrong email", async () => {
  const {
    getByPlaceholderText,
    getByText,
    getByTestId,
    getAllByRole
  } = (0, _react.render)( /*#__PURE__*/_react2.default.createElement(_SignupForm.default, null));
  const firstNameInput = getByPlaceholderText(/input first name/i);
  const emailNameInput = getByPlaceholderText(/example@gmail.com/i);

  _react.fireEvent.change(emailNameInput, {
    target: {
      value: "ccc"
    }
  });

  _react.fireEvent.change(firstNameInput, {
    target: {
      value: "sam"
    }
  });

  _react.fireEvent.submit(getByTestId("sign-up-btn"));

  await (0, _react.waitFor)(() => {
    expect(getAllByRole('alert')).toHaveLength(1);
  });
});