"use strict";

require("core-js/modules/es.promise.js");

var _react = require("@testing-library/react");

var _react2 = _interopRequireDefault(require("react"));

var _SigninForm = _interopRequireDefault(require("./SigninForm"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

it("It should mount", () => {
  const {
    queryByTestId
  } = (0, _react.render)( /*#__PURE__*/_react2.default.createElement(_SigninForm.default, null));
  expect(queryByTestId("sign-in-form")).toBeTruthy();
});
it("Should show error message when signin credentials are worng", async () => {
  const {
    getByPlaceholderText,
    getByText
  } = (0, _react.render)( /*#__PURE__*/_react2.default.createElement(_SigninForm.default, null));
  const userNameInput = getByPlaceholderText(/example@gmail.com/i);
  const passwordInput = getByPlaceholderText(/Password/i);

  _react.fireEvent.change(userNameInput, {
    target: {
      value: "test"
    }
  });

  _react.fireEvent.change(passwordInput, {
    target: {
      value: "test"
    }
  });

  _react.fireEvent.click(getByText(/Sign in/i));

  setTimeout(async () => {
    expect(await _react.screen.findByText("Couldn’t find a HCInbox account associated with this username. Please try again.")).toBeInTheDocument();
  }, 5000);
});